Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
billing
/
spending
/
summary
Get User Spending Summary
curl --request GET \
  --url https://api.tensormesh.ai/v1/billing/spending/summary \
  --header 'Authorization: Bearer <token>'
{
  "spend24h": {
    "currencyCode": "<string>",
    "units": "<string>",
    "nanos": 123
  },
  "spend7d": {
    "currencyCode": "<string>",
    "units": "<string>",
    "nanos": 123
  },
  "spend30d": {
    "currencyCode": "<string>",
    "units": "<string>",
    "nanos": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

userId
string

The unique ID of the user.

Response

A successful response.

GetUserSpendingSummaryResponse is the response for spending totals.

spend24h
object

Represents an amount of money with its currency type.

spend7d
object

Represents an amount of money with its currency type.

spend30d
object

Represents an amount of money with its currency type.